=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               debianutils (>= 4.7),
               dh-python,
               debhelper (>= 13.3) | dh-systemd,
               gettext,
               git,
               golang-go (>= 2:1.14~) [!powerpc] | golang-1.14-go [!powerpc] | golang-1.10-go [!powerpc !riscv64],
               libapt-pkg-dev,
               po-debconf,
               python3 (>= 3.4),
               distro-info,
               python3-flake8,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.5.1
Homepage: https://buy.ubuntu.com
Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
Vcs-Browser: https://github.com/CanonicalLtd/ubuntu-advantage-script
Rules-Requires-Root: no

Package: ubuntu-advantage-tools
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         distro-info,
         python3-pkg-resources,
         ${extra:Depends},
Description: management tools for Ubuntu Advantage
 Ubuntu Advantage is the professional package of tooling, technology
 and expertise from Canonical, helping organisations around the world
 manage their Ubuntu deployments.
 .
 Subscribers to Ubuntu Advantage will find helpful tools for accessing
 services in this package.

Package: ubuntu-advantage-pro
Architecture: all
Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
Replaces: ubuntu-advantage-tools (<<20.2)
Breaks: ubuntu-advantage-tools (<<20.2)
Description: utilities and services for Ubuntu Pro images
 The Ubuntu Pro package delivers additional utilities for use on authorised
 Ubuntu Pro machines.
