=== debian/control ===
--- 
+++ 
@@ -6,14 +6,23 @@
                debhelper (>=9),
                debianutils (>= 4.7),
                dh-python,
+# After debhelper 13.3 we no longer need dh-systemd.
+# On hirsute and later, dh-systemd doesn't even exist.
+# On recent releases, the first alternative will be used.
+# On older releases (where debhelper is older than 13.3 and we need dh-systemd), the second alternative is used.
+# Putting debhelper first allows a successful build on recent releases without requiring --resolve-alternatives during sbuild.
                debhelper (>= 13.3) | dh-systemd,
                gettext,
                git,
+# We need golang>=1.14 to support riscv64 builds for Focal+
+# We always want to prefer the golang-go package, because it is not pinned to a certain version, so it is first.
+# On Focal, golang-go is at 1.13 but golang-1.14-go is available, so that is second.
+# Xenial and Bionic don't need to support riscv64, but do need to support our tests which require >=1.7.
+# golang-1.10-go is available on both Xenial and Bionic, so that is third.
                golang-go (>= 2:1.14~) [!powerpc] | golang-1.14-go [!powerpc] | golang-1.10-go [!powerpc !riscv64],
                libapt-pkg-dev,
                po-debconf,
                python3 (>= 3.4),
-               distro-info,
                python3-flake8,
                python3-mock,
                python3-pytest,
@@ -30,9 +39,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         distro-info,
          python3-pkg-resources,
-         ${extra:Depends},
+         ${extra:Depends}
 Description: management tools for Ubuntu Advantage
  Ubuntu Advantage is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world
