## ubuntu-advantage-tools 27.5~21.04.1

=== debian/changelog ===
ubuntu-advantage-tools (27.5~21.04.1) hirsute; urgency=medium

  * Backport new upstream release: (LP: #1956456) to hirsute

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 05 Jan 2022 10:01:09 -0300

ubuntu-advantage-tools (27.5~22.04.1) jammy; urgency=medium

  * d/control:
    - Update homepage URL
  * d/tools.postinst:
    - Refactor to use valid_services
  * d/tools.postrm:
    - Use a wildcard to remove ua related gpg files
  * New upstream release 27.5 (LP: #1956456)
    - aws: add support for the IPv6 metadata endpoint
    - cis: update URL for the documentation
    - cli:
      + add endpoint to simulate the status using a specific contract token
      + fix return code when attaching an already attached machine (GH: #1867)
      + fix security-status to consider all possible origins to show updates
      + include cloud build.info in the collect-logs tarball
      + only show services which exist in the contracts server in ua status
    - docs: fix typos and wrong/outdated information
    - livepatch: always use the full path in livepatch calls (LP: #1951954)
    - logs:
      + improve rules to redact sensitive information from all log files
      + redact sensitive information from older unredacted log files
      + log errors from external software execution, for debugging purposes
    - usg:
      + support the presentedAs affordance from the contract server, showing
        services in the CLI with the appropriate names
      + replace the CIS entitlement by USG on Focal and onwards

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 04 Jan 2022 17:30:26 -0300

ubuntu-advantage-tools (27.4.2~22.04.1) jammy; urgency=medium

  * d/tools.postinst:
    - Fix check_service_is_enabled function when the machine is
      unattached (LP: #1951705)

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 23 Nov 2021 09:20:56 -0300

ubuntu-advantage-tools (27.4.1~22.04.1) jammy; urgency=medium

  * jobs: do not run the status job for unattached users

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 11 Nov 2021 17:53:08 -0300

ubuntu-advantage-tools (27.4~22.04.1) jammy; urgency=medium

  * d/rules:
    - Remove conftest file from the package
  * d/tools.postinst:
    - hardcode python binary to run python scripts (LP: #1930121)
    - undo unnecessary log file creation
  * d/tools.prerm:
    - hardcode python binary to run python scripts (LP: #1930121)
  * New upstream release 27.4 (LP: #1949634)
    - cc-eal: remove beta flag
    - cli:
      + attach will save machine-id during operation
      + detach won't ask unnecessary questions
      + new security-status subcommand lists potentially available
        security and ESM updates (beta)
    - fix:
      + exit 0 when fix is successfully applied and completed
      + exit 1 when fix cannot be applied
      + exit 2 when fix requires a reboot to complete
      + check reboot-required.pkgs for better reboot suggestions
    - livepatch: allow livepatch and fips-updates at the same time
    - metering:
      + update how activity info is parsed
      + update contract response structure
      + enable job by default
    - proxy: no_proxy defaults for link-local IMDS routes
    - util:
      + cache get_platform_info calls
      + fix machine-id fallback path on get_machine_id

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 29 Oct 2021 15:35:57 -0300

ubuntu-advantage-tools (27.3~21.10.1) impish; urgency=medium

  * d/tools.postinst:
    - consider cloud to be "none" on any cloud-id error
    - purge old ua-messaging.timer/service files
    - keep ua-timer.timer disabled if ua-messaging.timer was disabled by
      the user
    - properly configure both ubuntu-advantage-timer and
      ubuntu-advantage-licence-check logs
  * d/tools.postrm:
    - remove ubuntu-advantage-timer and ubuntu-advantage-license-check logs
      during purge
  * systemd:
    - remove ua-messaging.timer/service
    - add new ua-timer.timer that runs every 6 hours
    - add new ua-license_check.timer that runs every 5 minutes only if
      activated by ua-license-check.path
  * New upstream release 27.3 (LP: #1942929)
    - ros:
      + add beta support to enable ros and ros-updates
      + add support for "required services" so that esm-infra and esm-apps
        get auto-enabled when enabling ros or ros-updates
      + add support for "dependent services" so that user gets prompted to
        disable ros/ros-updates if they disable esm-infra/esm-apps
    - fips:
      + allow fips on GCP bionic now that optimized kernel is ready
      + disallow enabling fips on focal on clouds until cloud-optimized focal
        fips-certified kernel is ready (LP: #1939449, LP: #1939932)
      + print warning about generic fips kernel if cloud-id fails
    - cloud:
      + rely only on cloud-id to determine cloud type (LP: #1940131)
      + catch errors when determining cloud type
        (LP: #1938207, LP: #1944676) (GH: #1541)
    - azure:
      + bump IMDS API version to support Azure published images
    - cli:
      + collect-logs command that creates a tar file with debug-relevant logs
        and status info (GH: #463)
      + clean locks on exceptions more thoroughly to avoid false "Operation in
        progress" status messages
      + retain past service state after detach
      + shows better error message when a port value in a proxy is invalid
    - non-unicode locale support:
      + remove unicode-only characters from help file
      + don't print unicode-only characters in ua fix if non-utf8 locale
        (GH: #1463)
    - logrotate:
      + add logrotate functionality for ubuntu-advantage-timer.log.
      + Fix root:root logrotate permissions.
    - ua-timer.timer:
      + introduce a single systemd timer to handle ua recurring jobs
      + timer runs every 2 hours to support most frequent timer job
      + recurring job intervals are configurable in uaclient.conf
      + individual jobs are disabled if their interval is set to 0
      - status job:

