## ubuntu-advantage-tools 27.7~22.04.1

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 endif
 	pip install tox
 	pip install tox-pip-version
+	pip install tox-setuptools-version
 
 travis-deb-install:
 	git fetch --unshallow
