=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-setuptools,
                python3-yaml
 Standards-Version: 4.5.1
-Homepage: https://buy.ubuntu.com
+Homepage: https://ubuntu.com/advantage
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
 Vcs-Browser: https://github.com/CanonicalLtd/ubuntu-advantage-script
 Rules-Requires-Root: no
@@ -39,6 +39,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+         python3-apt,
          python3-pkg-resources,
          ${extra:Depends}
 Description: management tools for Ubuntu Advantage
