=== debian/rules ===
--- 
+++ 
@@ -54,16 +54,22 @@
 override_dh_systemd_enable:
 	dh_systemd_enable -pubuntu-advantage-pro ua-auto-attach.service
 	dh_systemd_enable -pubuntu-advantage-tools ua-reboot-cmds.service
-	dh_systemd_enable -pubuntu-advantage-tools ua-messaging.timer
-	dh_systemd_enable -pubuntu-advantage-tools ua-messaging.service
+	dh_systemd_enable -pubuntu-advantage-tools ua-timer.timer
+	dh_systemd_enable -pubuntu-advantage-tools ua-timer.service
+	dh_systemd_enable -pubuntu-advantage-tools ua-license-check.timer
+	dh_systemd_enable -pubuntu-advantage-tools ua-license-check.service
+	dh_systemd_enable -pubuntu-advantage-tools ua-license-check.path
 
 override_dh_systemd_start:
-	dh_systemd_start -pubuntu-advantage-tools ua-messaging.timer
+	dh_systemd_start -pubuntu-advantage-tools ua-timer.timer
+	dh_systemd_start -pubuntu-advantage-tools ua-license-check.path
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/ubuntu-advantage-tools
 	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
+	# We want to guarantee that we are not shipping any conftest files
+	find $(CURDIR)/debian/ubuntu-advantage-tools -type f -name conftest.py -delete
 
 ifeq (${VERSION_ID},"14.04")
 	# Move ua-auto-attach.conf out to ubuntu-advantage-pro
