## ubuntu-advantage-tools 27.9~21.10.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 clean:
 	rm -f *.build *.buildinfo *.changes .coverage *.deb *.dsc *.tar.gz *.tar.xz
+	rm -f azure-*-uaclient-ci-* ec2-uaclient-ci-* gcp-*-uaclient-ci-* lxd-container-*-uaclient-ci-* lxd-virtual-machine-*-uaclient-ci-*
 	rm -rf *.egg-info/ .tox/ .cache/ .mypy_cache/
 	find . -type f -name '*.pyc' -delete
 	find . -type d -name '*__pycache__' -delete
@@ -27,10 +28,6 @@
 	@tox
 
 testdeps:
-ifneq (,$(findstring trusty,$(TOXENV)))
-	@echo Pinning virtualenv to 20.0.31 on trusty because 32 breaks py3.4
-	pip install virtualenv==20.0.31
-endif
 	pip install tox
 	pip install tox-pip-version
 	pip install tox-setuptools-version
